Bug 1452172 - When adding Disk with reconfiguration on vmware, after 16th Disk, a new controller is created hardcoded to Parallel Type
Summary: When adding Disk with reconfiguration on vmware, after 16th Disk, a new contr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.7.3
Assignee: Adam Grare
QA Contact: luke couzens
URL:
Whiteboard: vm:reconfigure:vmware
Depends On: 1445874
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-18 13:24 UTC by Satoe Imaishi
Modified: 2017-06-28 15:03 UTC (History)
8 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1445874
Environment:
Last Closed: 2017-06-28 15:03:41 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 3 CFME Bot 2017-05-18 13:51:06 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/df76a520dd47977fcd2358dd1b980846202eec99

commit df76a520dd47977fcd2358dd1b980846202eec99
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu May 4 14:19:14 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 18 09:47:59 2017 -0400

    Merge pull request #148 from agrare/bz_1445874_return_vm_hardware
    
    Add method to return VM Hardware
    (cherry picked from commit 6e38517e8be67f5310e19f843a9fb306e0da7d4b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1452172

 gems/pending/VMwareWebService/MiqVimVm.rb | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

Comment 4 CFME Bot 2017-05-18 13:55:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4abb8018fc09c13b6ccf1d8081377b050b26347e

commit 4abb8018fc09c13b6ccf1d8081377b050b26347e
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed May 17 13:03:44 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 18 09:51:07 2017 -0400

    Merge pull request #51 from agrare/bz_1445874_vm_reconfigure_scsi_controller
    
    Lookup SCSI Controller Device Type from Hardware [Depends manageiq-gems-pending/148]
    (cherry picked from commit 774c48510e06c093b9366cd848d9bcecf4a885d1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1452172

 .../vmware/infra_manager/vm/reconfigure.rb         | 39 ++++++---
 .../vmware/infra_manager/vm/reconfigure_spec.rb    | 92 +++++++++++++++++++---
 2 files changed, 108 insertions(+), 23 deletions(-)

Comment 6 luke couzens 2017-06-12 10:57:22 UTC
Verified in 5.7.3.1

Comment 8 errata-xmlrpc 2017-06-28 15:03:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.